@echo OFF
rem  * *******************************************************************
rem  *               CBSNAPE1.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2019 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text    - SimoSNAP, Sample use of a Callable Memory Dump Routine
rem  * Author  - SimoTime Technologies
rem  * Date    - November 11, 2003
rem  * Version - 06.12.12
rem  *
rem  * This set of programs illustrate the use a COBOL program to do
rem  * a memory dump of Working Storage when an unexpected condition
rem  * is encountered.
rem  *
rem  * This technique provides for the use of a single COBOL source
rem  * program that will run in a Windows environment with Micro Focus
rem  * Net Express.
rem  *
rem  * This set of programs was tested on a Personal Computer with Windows
rem  * Windows and Micro Focus Net Express.
rem  *
rem  *   ************
rem  *   * CBSNAPE1 *
rem  *   ********cmd*
rem  *        *  *
rem  *        *  *        ************     ************
rem  *        *  ***call*** SIMONOTE ******* CONSOLE  *
rem  *        *           ********cmd*  *  ************
rem  *        *                         *
rem  *        *                         *  ************
rem  *        *                         ****  SYSLOG  *
rem  *        *                            *******data*
rem  *        *
rem  *        *
rem  *   ************     ************     ************
rem  *   *   RUN    ******* CBSNAPC1 ******* CONSOLE  *
rem  *   ********utl*     ********cbl*  *  ************
rem  *        *
rem  *        *
rem  *   ************
rem  *   *   EOJ    *
rem  *   ************
rem  *
rem  * ********************************************************************
rem  * Step   1 of 2  Set the global environment variables...
rem  *
     setlocal
rem  * The following call statement will set commonly used environment
rem  * variables. This call technique is used so the commonly used
rem  * variables may be stored in a single location. This makes it easier
rem  * to change when porting programs across systems with differing
rem  * configurations.
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
     set CmdName=CbSnapE1
     call ..\Env1BASE
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting CmdName %CmdName%"
rem  * ********************************************************************
rem  * Step   2 of 2  Execute the sample program...
rem  *
     run CbSnapC1
     if not "%ERRORLEVEL%" == "0" set JobStatus=0010
     if not "%JobStatus%" == "0000" goto :EojNOK
:EojAOK
     call SimoNOTE "Finished CmdName %CmdName%, Job Status is %JobStatus%"
     goto :End
:EojNOK
     call SimoNOTE "ABENDING CmdName %CmdName%, Job Status is %JobStatus%"
     echo %DATE% - %TIME% Starting User ABEND Processing...>>%SYSLOG%
     set >>%SYSLOG%
     echo %DATE% - %TIME% Complete User ABEND Processing...>>%SYSLOG%
     goto :End
:End
     call SimoNOTE "Conclude SysOut is %SYSOUT%"
     if not "%1" == "nopause" pause
     exit /B %JobStatus%
